// table08.do

// Table 8: Ex Ante Expectations and Desires About Future Firm Growth
//    and Innovation, PSED Data

version 10
clear all
macro drop _all
graph drop _all

set more off
set mem 50m
set varabbrev off
set linesize 80

use sbh-psed

// ROW 1 (1-small):
// Sample 1
sum  want_to_remain_small [aw= weight_a] if subset_1 == 1
// Sample 2
sum  want_to_remain_small [aw= weight_a] if subset_2 == 1
// Sample 3
sum  want_to_remain_small [aw= wt_wavee] if subset_6 == 1

// ROWS 2-5
// Sample 1
sum desired_employees_year5 [aw= weight_a] if subset_1 == 1, detail 
// Sample 2
sum desired_employees_year5 [aw= weight_a] if subset_2 == 1, detail 
// Sample 3
sum desired_employees_year5 [aw= wt_wavee] if subset_6 == 1, detail 

// ROWS 6-8
// Sample 1
sum   develope_tech_in_future got_patent_trademark_in_future ///
  r_and_d_important [aw= weight_a] if subset_1 == 1
// Sample 2
sum   develope_tech_in_future got_patent_trademark_in_future ///
  r_and_d_important [aw= weight_a] if subset_2 == 1
// Sample 3
sum   develope_tech_in_future got_patent_trademark_in_future ///
  r_and_d_important [aw= wt_wavee] if subset_6 == 1


